Quassel IRC - Bug #655

when pressing up to scroll through previous replies, the cursor now goes to start of the line, where
the correct behaviour should be end of the line

04/02/2009 01:02 PM - jussiO1
Category: Quassel GUI (Qt) Estimated time: 0.00 hour
Target version: 0.5.0

Version: 0.5-pre 0S: Any
Description

[18:57:18] <jussiO1> Sput: Im just putting it to tracker, but Ive got a small complaint. when pressing up to scroll through previous
replies, the cursor now goes to start of the line, where the correct behaviour should be end of the line...

[18:57:38] <Sput> jussiO1: you mean the input line history?

[13:57:42] <jussi01> yeah

[13:57:51] <-- Tina- (n=Tina-@97.95-245-81.adsl-dyn.isp.belgacom.be) has quit (Read error: 104 (Connection reset by peer))
[13:57:51] <Sput> yeah noticed that too, | guess I'm calling reset() now where | didn't earlier

[13:58:11] <Sput> are you about to tracker it? could you please add the fact that a selected history entry is not going to be appended
to the history again?

Associated revisions

Revision e1997b582c¢3ad73c4ff02f2b0167defb864db0a6 - 05/08/2009 11:15 PM - Manuel Nickschas

Make behavior of input line history a bit more intuitive

Pressing enter will append the current text to the input line history even if an earlier
entry was selected before. This is the behavior in any shell known to man, thus expected :)

Finally closes #655.
Revision e1997b58 - 05/08/2009 11:15 PM - Manuel Nickschas
Make behavior of input line history a bit more intuitive

Pressing enter will append the current text to the input line history even if an earlier
entry was selected before. This is the behavior in any shell known to man, thus expected :)

Finally closes #655.

History

#1 - 04/09/2009 07:31 PM - seezer

- File 0001-Move-cursor-to-end-of-line-when-browsing-history-KT.patch added
- Category set to Quassel GUI (Qt)

- Status changed from New to Confirmed

- Version changed from 0.4.0+ to 0.5-pre

The cursor thingy is only true for the KTextEdit.
Patch attached.

#2 - 05/07/2009 10:03 PM - Sputnick
- Status changed from Confirmed to Resolved
- Assignee set to Sputnick

- Target version set to 0.5.0

- % Done changed from 0 to 100
#3 - 05/07/2009 10:04 PM - Sputnick
- Status changed from Resolved to Feedback

- % Done changed from 100 to 50

Well, actually, the append-to-history thingy still needs love :)

#4 - 05/08/2009 11:19 PM - Sputnick
- Status changed from Feedback to Resolved

- % Done changed from 50 to 100

Applied in changeset e1997b582c3ad73c4{f02{2b0167defb864db0a6.

Files

0001-Move-cursor-to-end-of-line-when-browsing-history-KT.patch 873 Bytes
